elm::table Struct Reference

Public Member Functions
elm::table Struct Reference

Class table. More...

## Public Member Functions
| table (Eo *eo)
| Eo Constructor. More...
| table (std::nullptr_t)
| nullptr_t Constructor. More...
| table (table const &other)
| Copy Constructor.
void | clear (bool clear_) const
::evas::object | child_get (int col_, int row_) const
void | pack_set (::evas::object subobj_, int column_, int row_, int colspan_, int rowspan_) const
void | pack_get (::evas::object subobj_, int *column_, int *row_, int *colspan_, int *rowspan_) const
void | unpack (::evas::object subobj_) const
void | pack (::evas::object subobj_, int column_, int row_, int colspan_, int rowspan_) const
| table (::efl::eo::parent_type _p)
| Constructs a new elm::table object. More...

## Detailed Description

Class table.

## Constructor & Destructor Documentation

## ◆ table() [1/3]

elm::table::table | ( | ::efl::eo::parent_type | _p | ) |
| inlineexplicit

Constructs a new elm::table object.

Constructs a new elm::table object. If you want this object to be a child of another Eo object, use an efl::eo::parent expression, like the example.

Example:

elm::table my_table(efl::eo::parent = parent_object);

See also
  table(Eo* eo)

## ◆ table() [2/3]

elm::table::table | ( | Eo * | eo | ) |
| inlineexplicit

Eo Constructor.

Constructs the object from an Eo* pointer stealing its ownership.

Parameters

  eo | The Eo object pointer.

## ◆ table() [3/3]

elm::table::table | ( | std::nullptr_t |  | ) |
| inlineexplicit

nullptr_t Constructor.

Constructs an empty (null) object.

## Member Function Documentation

## ◆ child_get()

::evas::object elm::table::child_get | ( | int | col_,
|  | int | row_
| ) |  | const

Parameters

  col |
  row |

## ◆ clear()

void elm::table::clear | ( | bool | clear_ | ) | const

Parameters

  clear |

## ◆ pack()

void elm::table::pack | ( | ::evas::object | subobj_,
|  | int | column_,
|  | int | row_,
|  | int | colspan_,
|  | int | rowspan_
| ) |  | const

Parameters

  subobj |
  column |
  row |
  colspan |
  rowspan |

## ◆ pack_get()

void elm::table::pack_get | ( | ::evas::object | subobj_,
|  | int * | column_,
|  | int * | row_,
|  | int * | colspan_,
|  | int * | rowspan_
| ) |  | const

Parameters

  | subobj |
  [out] | column |
  [out] | row |
  [out] | colspan |
  [out] | rowspan |

## ◆ pack_set()

void elm::table::pack_set | ( | ::evas::object | subobj_,
|  | int | column_,
|  | int | row_,
|  | int | colspan_,
|  | int | rowspan_
| ) |  | const

Parameters

  subobj |
  column |
  row |
  colspan |
  rowspan |

## ◆ unpack()

void elm::table::unpack | ( | ::evas::object | subobj_ | ) | const

Parameters

  subobj |